Package com.io7m.waxmill.xml

# Class WXMBootConfigurationsSerializers

java.lang.Object
com.io7m.waxmill.xml.WXMBootConfigurationsSerializers

All Implemented Interfaces:
  `WXMBootConfigurationsSerializerProviderType`, `WXMSerializerProviderType<java.util.List<WXMBootConfigurationType>>`

    public final class WXMBootConfigurationsSerializers
    extends java.lang.Object
    implements WXMBootConfigurationsSerializerProviderType

A provider of boot configuration serializers.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMBootConfigurationsSerializers()` | Construct a provider.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMBootConfigurationsSerializerType` | `create​(java.net.URI uri, java.io.OutputStream stream, java.util.List<WXMBootConfigurationType> value)` | Create a new serializer.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.waxmill.serializer.api.WXMSerializerProviderType

  `serialize`

- ## Constructor Details

  - ### WXMBootConfigurationsSerializers

    public WXMBootConfigurationsSerializers()
    Construct a provider.

- ## Method Details

  - ### create

    public WXMBootConfigurationsSerializerType create​(java.net.URI uri, java.io.OutputStream stream, java.util.List<WXMBootConfigurationType> value) throws java.io.IOException
    Description copied from interface: `WXMSerializerProviderType`
    Create a new serializer.
    Specified by:
      `create` in interface `WXMSerializerProviderType<java.util.List<WXMBootConfigurationType>>`
    Parameters:
      `uri` - The URI of the output
      `stream` - The output stream
      `value` - The value to serialize
    Returns:
      A new serializer
    Throws:
      `java.io.IOException` - On I/O errors

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`